All Objects| Statics| Objects| KJSEmbed Objects| Qt Objects| KDE Objects| Exceptions| Uncreatable Objects

# QDir

Bindings for the QDir class.

## Properties

Type | Name | Value
--- | --- | ---
int | AccessMask | 1008
int | All | 7
int | DefaultFilter | -1
int | DefaultSort | -1
int | Dirs | 1
int | DirsFirst | 4
int | Drives | 4
int | Executable | 64
int | Files | 2
int | Hidden | 256
int | IgnoreCase | 16
int | Modified | 128
int | Name | 0
int | NoSymLinks | 8
int | RWEMask | 112
int | Readable | 16
int | Reversed | 8
int | Size | 2
int | SortByMask | 3
int | System | 512
int | Time | 1
int | TypeMask | 15
int | Unsorted | 3
int | Writable | 32

## Methods

absFilePath(...)
absPath(...)
canonicalPath(...)
cd(...)
cdUp(...)
cleanDirPath(...)
convertSeparators(...)
convertToAbs(...)
count(...)
current(...)
currentDirPath(...)
dirName(...)
drives(...)
encodedEntryList(...)
entryInfoList(...)
entryList(...)
exists(...)
filePath(...)
filter(...)
home(...)
homeDirPath(...)
isReadable(...)
isRelative(...)
isRelativePath(...)
isRoot(...)
match(...)
matchAllDirs(...)
mkdir(...)
nameFilter(...)
path(...)
refresh(...)
remove(...)
rename(...)
rmdir(...)
root(...)
rootDirPath(...)
separator(...)
setCurrent(...)
setFilter(...)
setMatchAllDirs(...)
setNameFilter(...)
setPath(...)
setSorting(...)
sorting(...)